#!/bin/bash

is_arm() {
    local uname_result=$(uname -m)
    if [[ ${uname_result} == *"arm"*  || ${uname_result} == *"aarch"* ]]; then
        return 0
    fi

    local brand_string=$(sysctl -n machdep.cpu.brand_string)
    if [[ ${brand_string} == *"Apple M"* ]]; then
        return 0
    fi

    return 1
}

DIR="x86_64"
if (is_arm); then
    DIR="arm64"
fi

echo "Initializing PHP Profiler installation! \n"
echo "Using directory: $DIR"

cd $DIR
sh ./install.sh
cd $(pwd)